Bric::Util::Async - This will handle all the async events $LastChangedRevision$ $LastChangedDate: 2004-06-04 12:21:12 -0700 (Fri, 04 Jun 2004) $ # creation of new objects $a = Bric::Util::Async->new($param); $a = Bric::Util::Async->lookup( { id => $id }); ($a_list || @as) = Bric::Util::Async->list( $param ) # list of ids ($a_ids || @a_ids) = Bric::Util::Async->list_ids( $param ) # manipulation of events $a = $a->add_event( $param ) ($events || @events) = $a->get_events( $param ) $a = $a->delete_events( $param ) # manipulation of active state ( not the company ) $a = $a->activate() $a = $a->deactivate(); ($a || undef) $a->is_active() # save whatever just happened $a = $a->save() This class will govern the async output events

Constructors
Creates a new Async Object Supproted Keys: name description active Throws: NONE Side Effects: NONE Notes: NONE Looks up the object form the data base Throws: "Missing required parameter 'id'" Side Effects: NONE Notes: NONE returns a list or list ref of objects that match the criteria Supported Keys: name active Throws: NONE Side Effects: NONE Notes: NONE

DESTRUCTORS
Dummy method to save the waste of autoloads time Throws: NONE Side Effects: NONE Notes: NONE

Public Class Methods
Returns a list of the ids that match said param. Check out list to see what the possible params are Throws: NONE Side Effects: NONE Notes: NONE

Public Instance methods
Returns the id Throws: NONE Side Effects: NONE Notes: Well this will return the id only if there is one, ie gotta call save on a new object before there can be an id silly. Sets the name for this collection of events Throws: NONE Side Effects: NONE Notes: NONE returns the name for the object Throws: NONE Side Effects: NONE Notes: NONE Sets the description for the object Throws: NONE Side Effects: NONE Notes: NONE returns the description of the object Throws: NONE Side Effects: NONE Notes: NONE Adds parts to the async object Throws: NONE Side Effects: NONE Notes: NONE Returns a list of the parts that are associated with this Throws: NONE Side Effects: NONE Notes: NONE removes the parts from the async obj Throws: NONE Side Effects: NONE Notes: NONE Will set the delete flag and will then delete once save is called Throws: NONE Side Effects: NONE Notes: NONE Sets the active flag Throws: NONE Side Effects: NONE Notes: NONE unsets the active flag Throws: NONE Side Effects: NONE Notes: NONE returns if the active flag is set Throws: NONE Side Effects: NONE Notes: NONE saves the changes to the data base Throws: NONE Side Effects: NONE Notes: NONE

Private Class Methods
This does the dirty work of list and list_ids Throws: NONE Side Effects: NONE Notes: NONE

Private Instance Methods
Goes through all the parts and writes out the cron tab file Throws: NONE Side Effects: NONE Notes: NONE called by save this will sync the held parts Throws: NONE Side Effects: NONE Notes: NONE This will create a record for this object Throws: NONE Side Effects: NONE Notes: NONE Updates the record in the data base Throws: NONE Side Effects: NONE Notes: NONE removes this record from the database Throws: NONE Side Effects: NONE Notes: NONE Populates an object from the database Throws: NONE Side Effects: NONE Notes: NONE

Private Functions
NONE NONE Michael Soderstrom <miraso@pacbell.net> Bric, Bric::Util::Async::Parts::Event